<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.AutoPostBack.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
    <!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{height:250px}
	</style>
	<![endif]-->
	<style type="text/css">
	.qsfConsole
	{
	    margin-top:5px;	
	}
	</style>
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server" />
    <qsf:InformationBox ID="InformationBox1" runat="server">
        Drag a RadDock control to initiate AJAX callback
    </qsf:InformationBox>
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1">
        <table>
            <tr>
                <td style="vertical-align: top">
                    Docking Zone 1<br /><br />
                    <telerik:RadDockZone runat="server" ID="RadDockZone1" Width="270px" MinHeight="270">
                        <telerik:RadDock runat="server" ID="RadDock1" Title="AutoPostBack enabled" OnDockPositionChanged="RadDock1_DockPositionChanged"
                            EnableAnimation="true" EnableRoundedCorners="true" AutoPostBack="true" DockMode="Docked">
                            <ContentTemplate>
                                    This RadDock control will initiate postback when it is moved around the page. You
                                    could create AsyncPostbackTrigger to replace the postback with an AJAX call.
                            </ContentTemplate>
                        </telerik:RadDock>
                        <telerik:RadDock runat="server" ID="RadDock2" Title="AutoPostBack disabled" OnDockPositionChanged="RadDock1_DockPositionChanged"
                            EnableAnimation="true" EnableRoundedCorners="true"  DockMode="Docked">
                            <ContentTemplate>
                                    This RadDock control will NOT initiate postback when it is moved around the page.
                                    However, if you post back the page using another control, the DockPositionChanged
                                    event will be fired.
                            </ContentTemplate>
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
                <td style="vertical-align: top">
                    Docking Zone 2<br /><br />
                    <telerik:RadDockZone runat="server" ID="RadDockZone2" Width="270px" MinHeight="270px">
                    </telerik:RadDockZone>
                </td>
                <td style="vertical-align: top;">
                    <asp:UpdatePanel runat="server" ID="UpdatePanel1">
                        <ContentTemplate>
                            <qsf:EventLogConsole ID="EventLogConsole1" runat="server" Width="280px" 
                            Height="308px" EnableViewState="false" style="margin-top:0px" />
                        </ContentTemplate>
                        <Triggers>
                            <asp:AsyncPostBackTrigger ControlID="RadDock1" EventName="DockPositionChanged" />
                        </Triggers>
                    </asp:UpdatePanel>
                </td>
            </tr>
        </table>
    </telerik:RadDockLayout>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
