using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

namespace Telerik.Web.Examples.Dock.Content
{
    public partial class DefaultCS : System.Web.UI.Page
	{
		private ArrayList GetDataSource()
		{
			ArrayList days = new ArrayList();
			days.Add(new GridData(DateTime.Now));
			days.Add(new GridData(DateTime.Now.AddDays(1)));
			days.Add(new GridData(DateTime.Now.AddDays(2)));
			days.Add(new GridData(DateTime.Now.AddDays(3)));
			days.Add(new GridData(DateTime.Now.AddDays(4)));
			days.Add(new GridData(DateTime.Now.AddDays(5)));
			days.Add(new GridData(DateTime.Now.AddDays(6)));
			return days;
		}

		private void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				RadDock2.Text = "You could also use the code-behind to set the Text property:<br/>"+
					"<span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. "+
					"Curabitur euismod metus et arcu. Donec at velit eu massa vulputate condimentum. "+
					"Duis pulvinar rutrum lectus. In ligula. In vel quam id odio aliquam viverra. Nullam "+
					"aliquet nulla ac lectus. Integer ullamcorper nunc vel risus. Donec leo diam, lacinia "+
					"molestie, semper vel, molestie tempor, risus. Nulla lobortis, dui non scelerisque "+
					"imperdiet, leo leo viverra est, ac convallis velit metus id pede. Quisque libero leo, "+
					"accumsan et, placerat sed, viverra sit amet, justo. Morbi sed massa. Etiam nec purus. "+
					"Phasellus dignissim, pede eu venenatis faucibus, felis lorem feugiat ligula, vitae "+
					"bibendum sapien dolor sed enim. Aenean eget turpis vitae est molestie porttitor. "+
                    "Duis quis lorem. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</span>";

				Label2.Text = "You can also directly access the inner controls from"+
					"the code-behind and set their properties!";
			}


			//Adding controls to ContentContainer
			// You should always add the controls because it is not persisted in the ViewState.
			RadDock4.ContentContainer.Controls.Add(new LiteralControl("You should always add the controls because it is not persisted in the ViewState.<br/>"));

			System.Web.UI.WebControls.Calendar calendar1 = new System.Web.UI.WebControls.Calendar();
			calendar1.ID = "Calendar1";
			RadDock4.ContentContainer.Controls.Add(calendar1);
		}

		private class GridData
		{
			private DateTime _date;
			public GridData(DateTime date)
			{
				_date = date;
			}

			public string Date
			{
				get
				{
					return _date.ToShortDateString();
				}
			}
			public string DayOfWeek
			{
				get
				{
					return _date.DayOfWeek.ToString();
				}
			}
		}
	}
}