<%@ Page Language="vb" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.Content.DefaultVB"
    CodeFile="DefaultVB.aspx.vb" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
    <!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{width:230px;height:100px}
	</style>
	<![endif]-->
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="VB" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server" />
    <qsf:InformationBox ID="InformationBox1" runat="server">
        Click for postback. Dock states will be preserved on postback.
        <asp:Button runat="server" ID="Button1" Text="Postback" style="float:right"/>
    </qsf:InformationBox>
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1">
        <telerik:RadDockZone runat="server" ID="RadDockZone1" Style="float: left; margin-right: 70px;
            background: #f5f4e8;" Width="230" MinHeight="500">
            <telerik:RadDock runat="server" ID="RadDock1" Title="Text property" Text="For simple static texts you could use the designer to set the Text property">
            </telerik:RadDock>
            <telerik:RadDock runat="server" ID="RadDock2" Title="Text property">
            </telerik:RadDock>
        </telerik:RadDockZone>
        <telerik:RadDockZone runat="server" ID="RadDockZone2" Style="float: left; background: #d5f0fa;margin-right: 70px;"
            Width="230" MinHeight="500">
            <telerik:RadDock runat="server" ID="RadDock3" Title="ContentTemplate">
                <ContentTemplate>
                    <div style="margin: 10px;">
                        <asp:Label runat="server" ID="Label1">You can put text and controls in the ContentTemplate.</asp:Label><br />
                        <asp:Label runat="server" ID="Label2"></asp:Label>
                    </div>
                    <div style="margin: 10px;">
                        <asp:Calendar runat="server" ID="calendar1"></asp:Calendar>
                    </div>
                </ContentTemplate>
            </telerik:RadDock>
        </telerik:RadDockZone>
        <telerik:RadDockZone runat="server" ID="RadDockZone3" Style="float: left; background: #fff3c8;"
            Width="230" MinHeight="500">
              <telerik:RadDock runat="server" ID="RadDock4" Title="ContentContainer">
            </telerik:RadDock>
        </telerik:RadDockZone>
    </telerik:RadDockLayout>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
