Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.SessionState
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports Telerik.Web.UI

Namespace Telerik.Web.Examples.Dock.Content
	Public Partial Class DefaultVB
		Inherits System.Web.UI.Page
		Private Function GetDataSource() As ArrayList
			Dim days As New ArrayList()
			days.Add(New GridData(DateTime.Now))
			days.Add(New GridData(DateTime.Now.AddDays(1)))
			days.Add(New GridData(DateTime.Now.AddDays(2)))
			days.Add(New GridData(DateTime.Now.AddDays(3)))
			days.Add(New GridData(DateTime.Now.AddDays(4)))
			days.Add(New GridData(DateTime.Now.AddDays(5)))
			days.Add(New GridData(DateTime.Now.AddDays(6)))
			Return days
		End Function

		Private Sub Page_Load(sender As Object, e As EventArgs)
			If Not IsPostBack Then
				RadDock2.Text = "You could also use the code-behind to set the Text property:<br/>" + "<span>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. " + "Curabitur euismod metus et arcu. Donec at velit eu massa vulputate condimentum. " + "Duis pulvinar rutrum lectus. In ligula. In vel quam id odio aliquam viverra. Nullam " + "aliquet nulla ac lectus. Integer ullamcorper nunc vel risus. Donec leo diam, lacinia " + "molestie, semper vel, molestie tempor, risus. Nulla lobortis, dui non scelerisque " + "imperdiet, leo leo viverra est, ac convallis velit metus id pede. Quisque libero leo, " + "accumsan et, placerat sed, viverra sit amet, justo. Morbi sed massa. Etiam nec purus. " + "Phasellus dignissim, pede eu venenatis faucibus, felis lorem feugiat ligula, vitae " + "bibendum sapien dolor sed enim. Aenean eget turpis vitae est molestie porttitor. " + "Duis quis lorem. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</span>"

				Label2.Text = "You can also directly access the inner controls from" + "the code-behind and set their properties!"
			End If


			'Adding controls to ContentContainer
			' You should always add the controls because it is not persisted in the ViewState.
			RadDock4.ContentContainer.Controls.Add(New LiteralControl("You should always add the controls because it is not persisted in the ViewState.<br/>"))

			Dim calendar1 As New System.Web.UI.WebControls.Calendar()
			calendar1.ID = "Calendar1"
			RadDock4.ContentContainer.Controls.Add(calendar1)
		End Sub

		Private Class GridData
			Private _date As DateTime
			Public Sub New([date] As DateTime)
				_date = [date]
			End Sub

			Public ReadOnly Property [Date]() As String
				Get
					Return _date.ToShortDateString()
				End Get
			End Property
			Public ReadOnly Property DayOfWeek() As String
				Get
					Return _date.DayOfWeek.ToString()
				End Get
			End Property
		End Class
	End Class
End Namespace
