<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.Default.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register Src="~/Dock/Common/TelerikNews.ascx" TagName="News" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/TelerikBlogs.ascx" TagName="Blogs" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/Horoscopes.ascx" TagName="Horoscopes" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/Weather.ascx" TagName="Weather" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/ExchangeRates.ascx" TagName="ExchangeRates" TagPrefix="uc2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" ShowSkinChooser="true" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadFormDecorator ID="RadFormDecorator1" DecoratedControls="All" runat="server" DecorationZoneID="ConfiguratorContainer1"/>
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1">
        <table>
            <tr>
                <td style="vertical-align: top">
                    <telerik:RadDockZone ID="RadDockZone2" runat="server" Orientation="Vertical" Width="250px"
                        MinHeight="400px">
                        <telerik:RadDock ID="RadDock1" runat="server" Title="Blogs" Width="250px" EnableAnimation="true"
                            EnableRoundedCorners="true" Resizable="true">
                            <ContentTemplate>
                                <uc2:Blogs ID="BlogsControl" runat="server"></uc2:Blogs>
                            </ContentTemplate>
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
                <td style="vertical-align: top">
                    <telerik:RadDockZone ID="RadDockZone1" runat="server" Orientation="Vertical" Width="560px"
                        MinHeight="400px">
                        <telerik:RadDock ID="RadDock2" runat="server" Title="News" Width="250px" EnableAnimation="true"
                            EnableRoundedCorners="true" Resizable="true">
                            <ContentTemplate>
                                <uc2:News ID="NewsControl" runat="server"></uc2:News>
                            </ContentTemplate>
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
            </tr>
        </table>
        <qsf:ConfiguratorPanel runat="server" ID="ConfigurationPanel1" Title="Configure Example"
            Expanded="true">
            <table style="width:100%" id="ConfiguratorContainer1">
                <tr>
                    <td style="vertical-align:top">
                        <asp:CheckBox ID="cbEnableRoundedCornes" Text="Enable rounded corners" runat="server"
                            OnCheckedChanged="cbEnableRoundedCornes_CheckedChanged" AutoPostBack="true" Checked="true" /><br />
                        <asp:CheckBox ID="cbEnableEnableAnimation" Text="Enable animation" runat="server"
                            Checked="true" OnCheckedChanged="cbEnableEnableAnimation_CheckedChanged" AutoPostBack="true" /><br />
                        <asp:CheckBox ID="cbEnableDrag" Text="Enable drag" runat="server" Checked="true"
                            OnCheckedChanged="cbEnableDrag_CheckedChanged" AutoPostBack="true" /><br />
                        <asp:CheckBox ID="cbEnableResize" Text="Enable resize" runat="server" OnCheckedChanged="cbEnableResize_CheckedChanged"
                            AutoPostBack="true" Checked="true" /><br />
                        Note: RadDock is resizable only when is floating
                    </td>
                    <td style="width:200px;vertical-align:top">
                        <strong>Choose DockHandle:</strong>
                        <asp:RadioButtonList ID="cbChooseDockHandle" runat="server" AutoPostBack="True" RepeatDirection="Vertical"
                            OnSelectedIndexChanged="cbChooseDockHandle_SelectedIndexChanged">
                            <asp:ListItem Value="TitleBar" Selected="True">TitleBar</asp:ListItem>
                            <asp:ListItem Value="None">None</asp:ListItem>
                            <asp:ListItem Value="Grip">Grip</asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                    <td style=";vertical-align:top">
                        <strong>Choose DockMode:</strong>
                        <asp:RadioButtonList ID="cbChooseDockMode" runat="server" AutoPostBack="True" RepeatDirection="Vertical"
                            OnSelectedIndexChanged="cbChooseDockMode_SelectedIndexChanged">
                            <asp:ListItem Value="Default" Selected="True">Default</asp:ListItem>
                            <asp:ListItem Value="Docked">Docked</asp:ListItem>
                            <asp:ListItem Value="Floating">Floating</asp:ListItem>
                        </asp:RadioButtonList>
                        Note: Floating/Docked mode will be enabled if all RadDocks are floating/docked
                    </td>
                </tr>
            </table>
        </qsf:ConfiguratorPanel>
    </telerik:RadDockLayout>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
