Imports System
Imports System.Collections
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.SessionState
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports Telerik.Web.UI


Namespace Telerik.Web.Examples.Dock.Default
	Public Partial Class DefaultVB
		Inherits System.Web.UI.Page
		Private floatingItem As ListItem
		Private dockedItem As ListItem
		Private defaultItem As ListItem
		Private Sub Page_Load(sender As Object, e As System.EventArgs)
			defaultItem = cbChooseDockMode.Items.FindByValue("Default")
			dockedItem = cbChooseDockMode.Items.FindByValue("Docked")
			floatingItem = cbChooseDockMode.Items.FindByValue("Floating")
			'DockMode.Floating mode will be enabled if all docks are floating
			floatingItem.Enabled = (RadDock1.DockZoneID = [String].Empty AndAlso RadDock2.DockZoneID = [String].Empty)
			'DockMode.Docked mode will be enabled if all docks are docked
			dockedItem.Enabled = (RadDock1.DockZoneID <> [String].Empty AndAlso RadDock2.DockZoneID <> [String].Empty)
		End Sub
		Protected Sub cbEnableRoundedCornes_CheckedChanged(sender As Object, e As EventArgs)
			Dim selectedValue As Boolean = cbEnableRoundedCornes.Checked
			RadDock1.EnableRoundedCorners = selectedValue
			RadDock2.EnableRoundedCorners = selectedValue
		End Sub
		Protected Sub cbEnableEnableAnimation_CheckedChanged(sender As Object, e As EventArgs)
			Dim selectedValue As Boolean = cbEnableEnableAnimation.Checked
			RadDock1.EnableAnimation = selectedValue
			RadDock2.EnableAnimation = selectedValue

		End Sub
		Protected Sub cbEnableResize_CheckedChanged(sender As Object, e As EventArgs)
			Dim selectedValue As Boolean = cbEnableResize.Checked
			RadDock1.Resizable = selectedValue
			RadDock2.Resizable = selectedValue
		End Sub
		Protected Sub cbEnableDrag_CheckedChanged(sender As Object, e As EventArgs)
			Dim selectedValue As Boolean = cbEnableDrag.Checked
			RadDock1.EnableDrag = selectedValue
			RadDock2.EnableDrag = selectedValue
		End Sub
		Protected Sub cbChooseDockHandle_SelectedIndexChanged(sender As Object, e As EventArgs)
			Dim handle As DockHandle = DirectCast([Enum].Parse(GetType(DockHandle), cbChooseDockHandle.SelectedItem.Value), DockHandle)
			RadDock1.DockHandle = handle
			RadDock2.DockHandle = handle
		End Sub
		Protected Sub cbChooseDockMode_SelectedIndexChanged(sender As Object, e As EventArgs)
			Dim mode As DockMode = DirectCast([Enum].Parse(GetType(DockMode), cbChooseDockMode.SelectedItem.Value), DockMode)
			Dim isSomeDockDocked As Boolean = RadDock1.DockZoneID <> [String].Empty OrElse RadDock2.DockZoneID <> [String].Empty
			Dim isSomeDockUndocked As Boolean = RadDock1.DockZoneID = [String].Empty OrElse RadDock2.DockZoneID = [String].Empty
			If isSomeDockDocked = True AndAlso mode = DockMode.Floating Then
				RadDock1.DockMode = DockMode.[Default]
				RadDock1.DockMode = DockMode.[Default]
				floatingItem.Selected = False
				defaultItem.Selected = True
			Else
				If isSomeDockUndocked = True AndAlso mode = DockMode.Docked Then
					RadDock1.DockMode = DockMode.[Default]
					RadDock1.DockMode = DockMode.[Default]
					dockedItem.Selected = False
					defaultItem.Selected = True
				Else
					RadDock1.DockMode = mode
					RadDock2.DockMode = mode
				End If
			End If
		End Sub
	End Class
End Namespace
