<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.EditTitle.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
    <!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{height:100px}
	</style>
	<![endif]-->
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" />
    <telerik:RadScriptManager ID="ScriptManager1" runat="server" />
    <qsf:InformationBox ID="InformationBox1" runat="server">
        Click Dock Title to rename it.
    </qsf:InformationBox>
    <br />
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1">
        <telerik:RadDockZone runat="server" ID="RadDockZone1" Width="300" MinHeight="200"
            Style="float: left; margin-right: 15px;">
            <telerik:RadDock runat="server" ID="RadDock1" Text="Static Dock" Width="400">
                <TitlebarTemplate>
                    <div style="float: left; line-height: 25px; font-size: 18px">
                        <asp:UpdatePanel runat="server" ID="UpdatePanel1">
                            <ContentTemplate>
                                <asp:LinkButton ID="LinkButton2" runat="server" OnClick="LinkButton1_Click" Style="text-decoration: none;
                                    color: #e47701; margin-left:15px" Text="Initial text">
                                </asp:LinkButton>
                                <asp:TextBox runat="server" ID="TextBox1" Width="200px" Visible="false"></asp:TextBox>
                                <asp:LinkButton runat="server" ID="LinkButton1" OnClick="LinkButton1_Click"><!-- No Text --></asp:LinkButton>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </TitlebarTemplate>
            </telerik:RadDock>
        </telerik:RadDockZone>
    </telerik:RadDockLayout>

    <script type="text/javascript">                                     
        function enableDockDrag(enable)
        {
           var dock = $find("<%= RadDock1.ClientID%>");
           if (enable)
           {
                dock._initializeDrag();   
                var textbox = $get("<%=TextBox1.ClientID%>");
               if(textbox)
               {
                    $addHandler(textbox, "mousedown", function(e)
                    {
                      e.stopPropagation();
                    });
               }
          }
          else dock._disposeDrag();
        }
    </script>

    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
