<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.Dock.DockHandle.DefaultCS" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server" />
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1">
        <table style="width:100%">
            <tr>
                <td>
                    <telerik:RadDockZone runat="server" ID="RadDockZone1" Orientation="Vertical" MinHeight="200px"
                        Width="200px">
                        <telerik:RadDock ID="RadDock1" Title="RadDock1" runat="server" Width="200px" DockHandle="None"
                            Text="DockHandle is set to None. This mode is suitable for scenarios when you want to disable the drag and drop.">
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
                <td>
                    <telerik:RadDockZone runat="server" ID="RadDockZone2" Orientation="Vertical" MinHeight="200px"
                        Width="200px">
                        <telerik:RadDock ID="RadDock2" Title="RadDock2" runat="server" Width="200px" DockHandle="Grip"
                            Text="DockHandle is set to Grip. This mode is suitable for scenarios when you do not need the DockCommand items and you want to maximize the content size.">
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
                <td>
                    <telerik:RadDockZone runat="server" ID="RadDockZone3" Orientation="Vertical" MinHeight="200px"
                        Width="200px">
                        <telerik:RadDock ID="RadDock3" Title="RadDock3" runat="server" Width="200px" DockHandle="TitleBar"
                            Text="DockHandle is set to TitleBar. In this mode the TitleBar is visible and you have access to the DockCommand items.">
                        </telerik:RadDock>
                    </telerik:RadDockZone>
                </td>
            </tr>
        </table>
    </telerik:RadDockLayout>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
