<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.Dock.DockResizing.DefaultCS" %>

<%@ register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<%@ register  namespace="Telerik.QuickStart" tagprefix="qsf" %>
<%@ register src="~/Common/Header.ascx" tagname="Header" tagprefix="qsf" %>
<%@ register src="~/Common/HeadTag.ascx" tagname="HeadTag" tagprefix="qsf" %>
<%@ register src="~/Common/Footer.ascx" tagname="Footer" tagprefix="qsf" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:headtag id="Headtag1" runat="server" />
</head>
<body class="BODY">
    <form id="Form1" runat="server" method="post">
        <qsf:header id="Header1" runat="server" navigationlanguage="c#" />
        <telerik:RadScriptManager id="ScriptManager" runat="server">
        </telerik:RadScriptManager>
        <telerik:raddocklayout id="RadDockLayout1" runat="server">
            <table>
                <tr>
                    <td valign="top">
                        <telerik:raddockzone id="RadDockZone1" runat="server" minheight="200" width="300">
                            <telerik:raddock id="RadDock1" runat="server" title="RadDock1" width="200px" 
                                text="This object is not resizable.">
                            </telerik:raddock>
                        </telerik:raddockzone>
                    </td>
                </tr>
            </table>
            <telerik:raddock id="RadDock2" runat="server" Top="250px" Left="600px"
                text="Grab the right, the bottom or the left handle to resize the dock."  
                resizable="true" title="This object is resizable"></telerik:raddock>            
        </telerik:raddocklayout>

        <asp:Button id="Button1" runat="server" Text="Make postback"></asp:Button>
        <qsf:footer id="Footer1" runat="server" showcodeviewer="true" />
    </form>
</body>
</html>
