<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.DynamicDocks.DefaultCS"
	CodeFile="DefaultCS.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<qsf:HeadTag ID="Headtag1" runat="server" />
	<!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{height:200px}
	</style>
	<![endif]-->
</head>
<body class="BODY">
	<form id="Form1" method="post" runat="server">
		<qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" />
		<telerik:RadScriptManager ID="ScriptManager" runat="server" />
		<asp:Button runat="server" CssClass="button" ID="ButtonAddDock" Text="Add Dock" OnClick="ButtonAddDock_Click" />
		<asp:Button runat="server" ID="ButtonPostback" CssClass="button" Text="Make Postback" />
		<br />
		<br />
		<asp:UpdatePanel runat="server" ID="UpdatePanel1">
			<ContentTemplate>
				<telerik:RadDockLayout runat="server" ID="RadDockLayout1" OnSaveDockLayout="RadDockLayout1_SaveDockLayout"
					OnLoadDockLayout="RadDockLayout1_LoadDockLayout">
					<telerik:RadDockZone runat="server" ID="RadDockZone1" Width="300" MinHeight="200"
						Style="float: left; margin-right: 20px;">
					</telerik:RadDockZone>
					<telerik:RadDockZone Width="300" MinHeight="200" runat="server" ID="RadDockZone2"
						Style="float: left;">
					</telerik:RadDockZone>
				</telerik:RadDockLayout>
			</ContentTemplate>
			<Triggers>
				<asp:AsyncPostBackTrigger ControlID="ButtonAddDock" EventName="Click" />
			</Triggers>
		</asp:UpdatePanel>
		<qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
	</form>
</body>
</html>
