<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.MyPortal.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
    <!--[if lte IE 6]>
	<style type="text/css">
	.raddockzone{height:200px}
	</style>
	<![endif]-->
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server" />
    <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" DecoratedControls="All" />
    <qsf:ConfiguratorPanel runat="server" ID="ConfigurationPanel1" Title="" Expanded="true">
        <table style="width:100%">
            <tr>
                <td style="width:140px">
                    Select Module:
                </td>
                <td style="width:140px">
                    <asp:DropDownList runat="server" ID="DroptDownWidget" Width="150">
                        <asp:ListItem Text="ExchangeRates.ascx" Value="~/Dock/Common/ExchangeRates.ascx"
                            Selected="true"></asp:ListItem>
                        <asp:ListItem Text="TelerikNews.ascx" Value="~/Dock/Common/TelerikNews.ascx"></asp:ListItem>
                        <asp:ListItem Text="TelerikBlogs.ascx" Value="~/Dock/Common/TelerikBlogs.ascx"></asp:ListItem>
                        <asp:ListItem Text="Horoscopes.ascx" Value="~/Dock/Common/Horoscopes.ascx"></asp:ListItem>
                        <asp:ListItem Text="Weather.ascx" Value="~/Dock/Common/Weather.ascx"></asp:ListItem>
                    </asp:DropDownList>
                </td>
                <td>
                </td>
                <td style="width: 100px">
                    <asp:Button runat="server" ID="ButtonPostBack" Text="Make PostBack" OnClick="ButtonPostBack_Click" />
                </td>
            </tr>
            <tr>
                <td>
                    Select Docking Zone:
                </td>
                <td>
                    <asp:DropDownList ID="DropDownZone" runat="server" DataSource="<%#GetZones() %>"
                        DataTextField="ID" DataValueField="ClientID" Width="150">
                    </asp:DropDownList>
                </td>
                <td>
                    <asp:Button runat="server" ID="ButtonAddDock" Text="Add Dock (AJAX)" OnClick="ButtonAddDock_Click" />
                </td>
                <td>
                    <asp:Button runat="server" ID="ButtonClear" Text="Clear Dock State" OnClick="ButtonClear_Click" />
                </td>
            </tr>
        </table>
    </qsf:ConfiguratorPanel>
    <asp:UpdatePanel runat="server" ID="UpdatePanel2" ChildrenAsTriggers="false" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <telerik:RadDockLayout runat="server" ID="RadDockLayout1" OnSaveDockLayout="RadDockLayout1_SaveDockLayout"
                OnLoadDockLayout="RadDockLayout1_LoadDockLayout">
                <telerik:RadDockZone runat="server" ID="RadDockZone1" Width="250" MinHeight="200"
                    Style="float: left; margin-right: 15px">
                </telerik:RadDockZone>
                 <telerik:RadDockZone runat="server" ID="RadDockZone2" Width="250" MinHeight="200"
                    Style="float: left; margin-right: 15px; background: #f5f4e8;">
                </telerik:RadDockZone>
                <telerik:RadDockZone runat="server" ID="RadDockZone3" Width="250" MinHeight="200"
                    Style="background: #d5f0fa; float: left;">
                </telerik:RadDockZone>
            </telerik:RadDockLayout>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="ButtonAddDock" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <div style="width: 0px; height: 0px; overflow: hidden; position: absolute; left: -10000px;">
        Hidden UpdatePanel, which is used to help with saving state when minimizing, moving
        and closing docks. This way the docks state is saved faster (no need to update the
        docking zones).
        <asp:UpdatePanel runat="server" ID="UpdatePanel1">
        </asp:UpdatePanel>
    </div>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
