<%@ Page Language="c#" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Dock.PortalPage.DefaultCS"
    CodeFile="DefaultCS.aspx.cs" %>

<%@ Register Src="~/Dock/Common/TelerikNews.ascx" TagName="News" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/TelerikBlogs.ascx" TagName="Blogs" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/Horoscopes.ascx" TagName="Horoscopes" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/Weather.ascx" TagName="Weather" TagPrefix="uc2" %>
<%@ Register Src="~/Dock/Common/ExchangeRates.ascx" TagName="ExchangeRates" TagPrefix="uc2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <qsf:HeadTag ID="Headtag1" runat="server" />
    <style type="text/css">
     td{vertical-align:top;}
    
    .RadDock{text-align:left;font:11px/14px arial,verdana,sans-serif;}
    .RadDock .rdTop{border-bottom:1px solid #fff;border-top:1px solid #fff;}
    .RadDock .rdCommands{padding-right:5px;}
    .RadDock .rdCommands .rdClose{background:url(Img/dockPortalClose.gif) 0 -7px transparent !important;}
    .RadDock .rdCommands .rdCollapse{background:url(Img/dockPortalCollapse.gif) -7px -7px transparent !important;}
    .RadDock .rdCommands .rdExpand{background:url(Img/dockPortalExpand.gif) -7px -7px transparent !important;}
    .RadDock .innerWrp{margin:0;padding:10px;}
    
      
	#UserInfo *{color:#fff}
	#UserInfo .rdTop{background-color:#e1519e;}
	#UserInfo .rdMiddle{background-color:#da2686;}
	#UserInfo .rdBottom{background-color:#da2686;}
	#UserInfo .rdBottom .rdCenter{background-color:#da2686;}
	
	#MyContacts *{color:#fff}
	#MyContacts .rdTop{background-color:#cbc633;}
	#MyContacts .rdMiddle{background-color:#BEB800;}
	#MyContacts .rdBottom{background-color:#BEB800;}
	#MyContacts .rdBottom .rdCenter{background-color:#BEB800;}
	
	#Horoscopes{background:#ff8001;}
    #Horoscopes .rdTop{background-color:#ff9934;}
	#Horoscopes .rdMiddle{background-color:#ff8001;}
	#Horoscopes .rdBottom{background-color:#ff8001;}
    #Horoscopes .rdContent div div *{color:#fff;}
    #Horoscopes .rdContent select{font:inherit}    
    
    #Weather{background:#f1eee1;}
    #Weather .rdTop{background-color:#d8d2bc;color:#a09b85}
	#Weather .rdMiddle{background-color:#f1eee1;}
	#Weather .rdBottom{background-color:#f1eee1;}
    #Weather .rdContent td{vertical-align:middle}
    #Weather .rdContent th{display:none}
    
    #Currency{background:#ffc000;}
    #Currency .rdTop{background-color:#ffcd33;}
	#Currency .rdMiddle{background-color:#ffc000;}
	#Currency .rdBottom{background-color:#ffc000;}
    #Currency .rdContent div div *{color:#fff;}
    #Currency .rdContent select,#Currency .rdContent input{font:inherit}
    	
    #TelerikBlogs {background:#98c937;}
    #TelerikBlogs .rdTop{background-color:#add45f;}
	#TelerikBlogs .rdMiddle{background-color:#98c937;}
	#TelerikBlogs .rdBottom{background-color:#98c937;}
    #TelerikBlogs .rdContent a{color:#399;}
    
    #News{background:#afeffa;}
    #News .rdTop{background-color:#c4f2f9;}
	#News .rdMiddle{background-color:#afeffa;}
	#News .rdBottom{background-color:#afeffa;}
    #News .rdContent a{color:#399;}
   
   
    </style>
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">
    <qsf:Header ID="Header1" runat="server" NavigationLanguage="c#" ShowSkinChooser="false" />
    <telerik:RadScriptManager ID="ScriptManager" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadDockLayout runat="server" ID="RadDockLayout1" EnableEmbeddedSkins="false"
        Skin="None">
        <div style="border: 18px solid #f4f4f4; padding: 10px;">
            <table cellspacing="0" cellpadding="0">
                <tr>
                    <td colspan="3" style="background: url(Img/headerBg.gif) repeat-x;">
                        <img src="Img/headerLeft.gif" alt="" />
                    </td>
                </tr>
                <tr>
                    <td style="width: 222px;">
                        <telerik:RadDockZone runat="server" ID="RadDockZone1" Orientation="vertical" Style="border: 0px;
                            width: 220px;">
                            <telerik:RadDock runat="server" ID="UserInfo" Title="My Portal" Width="220px" EnableAnimation="true">
                                <ContentTemplate>
                                    <p class="innerWrp">
                                        Welcome back,<br />
                                        Mr. John Smith<br />
                                        <%= DateTime.Now.ToShortDateString() %>
                                    </p>
                                </ContentTemplate>
                            </telerik:RadDock>
                            <telerik:RadDock runat="server" ID="MyContacts" Title="My Contacts" Width="220px" EnableAnimation="true">
                                <ContentTemplate>
                                    <p class="innerWrp">
                                        Phone: 1.887.3671.23<br />
                                        E-mail: john@bravo.com<br />
                                        Address: 64 Bay Str, Melville
                                    </p>
                                </ContentTemplate>
                            </telerik:RadDock>
                            <telerik:RadDock runat="server" ID="Horoscopes" Title="Horoscope" Width="220px" EnableAnimation="true">
                                <ContentTemplate>
                                    <div class="innerWrp">
                                        <uc2:Horoscopes ID="HoroscopesControl" runat="server"></uc2:Horoscopes>
                                    </div>
                                </ContentTemplate>
                            </telerik:RadDock>
                        </telerik:RadDockZone>
                    </td>
                    <td style="width: 222px;">
                        <telerik:RadDockZone runat="server" ID="RadDockZone2" Orientation="vertical" Style="border: 0px;
                            width: 220px;">
                            <telerik:RadDock runat="server" ID="Currency" Title="Currency Exchange Rates" Width="220px"
                                EnableAnimation="true">
                                <ContentTemplate>
                                    <div class="innerWrp">
                                        <uc2:ExchangeRates ID="CurrencyControl" runat="server"></uc2:ExchangeRates>
                                    </div>
                                </ContentTemplate>
                            </telerik:RadDock>
                            <telerik:RadDock runat="server" ID="Weather" Title="Weather" Width="220px" EnableAnimation="true">
                                <ContentTemplate>
                                    <div class="innerWrp">
                                        <uc2:Weather ID="WeatherControl" runat="server"></uc2:Weather>
                                    </div>
                                </ContentTemplate>
                            </telerik:RadDock>
                        </telerik:RadDockZone>
                    </td>
                    <td style="width: 222px;">
                        <telerik:RadDockZone runat="server" ID="RadDockZone3" Orientation="vertical" Style="border: 0px;
                            width: 220px;">
                            <telerik:RadDock runat="server" ID="TelerikBlogs" Title="Telerik Blogs" Width="220px"
                                EnableAnimation="true">
                                <ContentTemplate>
                                    <div class="innerWrp">
                                        <uc2:Blogs ID="BlogsControl" runat="server"></uc2:Blogs>
                                    </div>
                                </ContentTemplate>
                            </telerik:RadDock>
                            <telerik:RadDock runat="server" ID="News" Title="Telerik News" Width="220px" EnableAnimation="true">
                                <ContentTemplate>
                                    <div class="innerWrp">
                                        <uc2:News ID="NewsControl" runat="server"></uc2:News>
                                    </div>
                                </ContentTemplate>
                            </telerik:RadDock>
                        </telerik:RadDockZone>
                    </td>
                </tr>
            </table>
        </div>
    </telerik:RadDockLayout>
    <qsf:Footer runat="server" ID="Footer1" ShowCodeViewer="true" />
    </form>
</body>
</html>
